2 u010297770 u010297770 于 2014.04.02 20:14 提问

win7 32位的操作系统 支持 jdk1.4版本吗?

平台开发,需要用到jdk1.4,但是系统是win7 32位的操作系统,请问该系统下支持jdk1.4版本吗?

3个回答

ZR__MaNong
ZR__MaNong   2014.12.26 10:33

我记忆中好像是不支持的

caozhy
caozhy   Ds   Rxr 2014.12.26 10:45

jdk 1.4是2012年的东西,官方不会支持windows 7,但是这不等于说jdk 1.4不能在windows 7上使用。
官方说的支持和你作为普通用户理解的支持不是一个概念。
一旦厂商说支持,那就是如果出现任何不兼容问题他都需要负责的,需要提供技术支持,以及开发补丁。
好比turbo c从来都不支持windows,VC++也早就不支持XP以上系统了,但是它们或略微改动,或者马马虎虎,也都可以在现今的系统中运行。
但是,如果你要在严格的生产环境使用,你最好按照官方的说法,不要使用jdk 1.4,windows 7最后支持的jdk是6

caozhy
caozhy 修改下,2002年,不是2012年
大约 3 年之前 回复
caozhy
caozhy   Ds   Rxr 2014.12.26 10:46

另外一种用法是,在windows 7中使用windows virtual pc、virtual box或者vmware workstation(前两者免费),使用虚拟机安装受支持的操作系统,再在里面使用jdk 1.4

Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!